Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 711334 (CVE-2019-13164) - <app-emulation/qemu-4.1.0: Possible ACL bypass (CVE-2019-13164)
Summary: <app-emulation/qemu-4.1.0: Possible ACL bypass (CVE-2019-13164)
Status: RESOLVED FIXED
Alias: CVE-2019-13164
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://www.openwall.com/lists/oss-se...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-02 17:16 UTC by Sam James (sec padawan)
Modified: 2020-03-30 15:17 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James (sec padawan) 2020-03-02 17:16:24 UTC
Description:
"qemu-bridge-helper.c in QEMU 4.0.0 does not ensure that a network interface name (obtained from bridge.conf or a --br=bridge option) is limited to the IFNAMSIZ size, which can lead to an ACL bypass."
Comment 1 Larry the Git Cow gentoo-dev 2020-03-03 14:59:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=346ca2b2225d7125895bea03c26f9675c8db0419

commit 346ca2b2225d7125895bea03c26f9675c8db0419
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-03-03 14:59:12 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-03-03 14:59:12 +0000

    app-emulation/qemu: drop old, bug #711334
    
    Bug: https://bugs.gentoo.org/711334
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 app-emulation/qemu/Manifest              |   2 -
 app-emulation/qemu/qemu-4.0.0-r50.ebuild | 813 ------------------------------
 app-emulation/qemu/qemu-4.1.0-r1.ebuild  | 825 -------------------------------
 3 files changed, 1640 deletions(-)
Comment 2 Matthias Maier gentoo-dev 2020-03-13 17:02:17 UTC
(switching bug status to in progress)
Comment 3 Thomas Deutschmann gentoo-dev Security 2020-03-15 02:11:58 UTC
Added to an existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2020-03-30 15:17:37 UTC
This issue was resolved and addressed in
 GLSA 202003-66 at https://security.gentoo.org/glsa/202003-66
by GLSA coordinator Thomas Deutschmann (whissi).